net.sf.jasperreports.engine.base

## Class JRBaseConditionalStyle

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseStyle
  - - net.sf.jasperreports.engine.base.JRBaseConditionalStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Deduplicable, JRChangeEventsSupport, JRBoxContainer, JRCloneable, JRConditionalStyle, JRParagraphContainer, JRPenContainer, JRStyle, JRStyleContainer
  Direct Known Subclasses:
    JRDesignConditionalStyle

      public class JRBaseConditionalStyle
      extends JRBaseStyle
      implements JRConditionalStyle

  Version:
    $Id: JRBaseConditionalStyle.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `conditionExpression`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseStyle

      `backcolor, conditionalStyles, defaultStyleProvider, fillValue, fontName, fontsize, forecolor, horizontalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, lineBox, linePen, markup, modeValue, name, paragraph, parentStyle, parentStyleNameReference, pattern, pdfEncoding, pdfFontName, positionType, PROPERTY_BACKCOLOR, PROPERTY_BLANK_WHEN_NULL, PROPERTY_BOLD, PROPERTY_FILL, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_FORECOLOR, PROPERTY_HORIZONTAL_ALIGNMENT, PROPERTY_ITALIC, PROPERTY_LINE_SPACING, PROPERTY_MARKUP, PROPERTY_MODE, PROPERTY_PATTERN, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_RADIUS, PROPERTY_ROTATION, PROPERTY_SCALE_IMAGE, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, PROPERTY_VERTICAL_ALIGNMENT, radius, rotationValue, scaleImageValue, stretchType, verticalAlignmentValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRStyle

      `PROPERTY_EVALUATION_TIME_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseConditionalStyle()`
    `JRBaseConditionalStyle(JRConditionalStyle style, JRStyle parentStyle, JRAbstractObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getConditionExpression()`
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseStyle

      `addStyleHash, checkCircularParent, getBackcolor, getConditionalStyles, getDefaultLineColor, getDefaultLineWidth, getDefaultStyleProvider, getEventSupport, getFillValue, getFontName, getFontsize, getFontSize, getForecolor, getHorizontalAlignmentValue, getLineBox, getLinePen, getLineSpacingValue, getMarkup, getModeValue, getName, getOwnBackcolor, getOwnFillValue, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnModeValue, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnRadius, getOwnRotationValue, getOwnScaleImageValue, getOwnVerticalAlignmentValue, getParagraph, getPattern, getPdfEncoding, getPdfFontName, getRadius, getRotationValue, getScaleImageValue, getStyle, getStyleNameReference, getVerticalAlignmentValue, identicalStyle, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, rename, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setFill, setFontName, setFontSize, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setItalic, setItalic, setLineSpacing, setMarkup, setMode, setParentStyle, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRadius, setRadius, setRotation, setScaleImage, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline, setVerticalAlignment`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyle

      `getBackcolor, getConditionalStyles, getFillValue, getFontName, getFontsize, getFontSize, getForecolor, getHorizontalAlignmentValue, getLineBox, getLinePen, getLineSpacingValue, getMarkup, getModeValue, getName, getOwnBackcolor, getOwnFillValue, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnModeValue, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnRadius, getOwnRotationValue, getOwnScaleImageValue, getOwnVerticalAlignmentValue, getPattern, getPdfEncoding, getPdfFontName, getRadius, getRotationValue, getScaleImageValue, getVerticalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setFill, setFontName, setFontSize, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setItalic, setItalic, setLineSpacing, setMarkup, setMode, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRadius, setRadius, setRotation, setScaleImage, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline, setVerticalAlignment`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParagraphContainer

      `getParagraph`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### conditionExpression

          protected JRExpression conditionExpression

  - ### Constructor Detail

    - #### JRBaseConditionalStyle

          public JRBaseConditionalStyle()

    - #### JRBaseConditionalStyle

          public JRBaseConditionalStyle(JRConditionalStyle style,
                                JRStyle parentStyle,
                                JRAbstractObjectFactory factory)

  - ### Method Detail

    - #### getConditionExpression

          public JRExpression getConditionExpression()

      Specified by:
        `getConditionExpression` in interface `JRConditionalStyle`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseStyle`

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Specified by:
        `getHashCode` in interface `Deduplicable`
      Overrides:
        `getHashCode` in class `JRBaseStyle`
      Returns:
        deduplication hash code

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Specified by:
        `isIdentical` in interface `Deduplicable`
      Overrides:
        `isIdentical` in class `JRBaseStyle`
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com